Bug 237947 - dns/powerdns-recursor: fix build with GCC-based architectures
Summary: dns/powerdns-recursor: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-17 11:27 UTC by Piotr Kubaj
Modified: 2019-05-27 19:14 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
patch (1.87 KB, patch)
2019-05-17 11:27 UTC, Piotr Kubaj
tremere: maintainer-approval+
Details | Diff
Update to 4.1.13 and fix build with GCC-based architecture (2.58 KB, patch)
2019-05-27 07:24 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-17 11:27:00 UTC
Created attachment 204425 [details]
patch

Don't add -L/usr/lib unconditionally, it makes gcc8 (used on gcc architectures) link to base libstdc++.
Comment 1 Ralf van der Enden 2019-05-20 07:44:57 UTC
Tested this on 12.0-RELEASE-p5 amd64 and no issues found, so looks fine to me.
Comment 2 Ralf van der Enden 2019-05-27 07:24:54 UTC
Created attachment 204643 [details]
Update to 4.1.13 and fix build with GCC-based architecture

There's a new version of PowerDNS Recursor available, so updated the patch to avoid a separate PR for that.

Poudriere buildlog: https://pkg.cainites.net/data/freebsd_12x64-system/2019-05-27_09h19m52s/logs/powerdns-recursor-4.1.13.log
Comment 3 commit-hook freebsd_committer 2019-05-27 19:14:36 UTC
A commit references this bug:

Author: pkubaj
Date: Mon May 27 19:14:19 UTC 2019
New revision: 502813
URL: https://svnweb.freebsd.org/changeset/ports/502813

Log:
  dns/powerdns-recursor: fix build and update

  Don't add -L/usr/lib unconditionally, it makes gcc8 (used on gcc architectures) link to base libstdc++.
  Update to 4.1.13.

  PR:		237947
  Approved by:	tcberner (mentor), tremere@cainites.net (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D20423

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-configure